Package picard.analysis

# Class CollectRrbsMetrics.CollectRrbsMetricsReferenceArgumentCollection

java.lang.Object
picard.analysis.CollectRrbsMetrics.CollectRrbsMetricsReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

Enclosing class:
  `CollectRrbsMetrics`

public static class CollectRrbsMetrics.CollectRrbsMetricsReferenceArgumentCollection extends Object implements ReferenceArgumentCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`REFERENCE`

## Constructor Summary

Constructors
Constructor
Description
`CollectRrbsMetricsReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`
This method is retained for backward compatibility with legacy tools that have not been updated to support PicardHtsPath input files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface picard.cmdline.argumentcollections.ReferenceArgumentCollection

`getHtsPath, getReferencePath`

## Field Details

### REFERENCE

@Argument(doc="The reference sequence fasta file", shortName="R") public File REFERENCE

## Constructor Details

### CollectRrbsMetricsReferenceArgumentCollection

public CollectRrbsMetricsReferenceArgumentCollection()

## Method Details

### getReferenceFile

public File getReferenceFile()
Description copied from interface: `ReferenceArgumentCollection`
This method is retained for backward compatibility with legacy tools that have not been updated to support PicardHtsPath input files. The preferred methods for accessing the reference file provided on the command line is either getHtsPath() or getReferencePath(). TODO: update tools that call this method to use getHtsPath()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, or the default defined by `htsjdk.samtools.Defaults.REFERENCE_FASTA`. May be null.